Skip to content
Baremetrics

List Subscriptions

GET https://api.baremetrics.com/v1/{source_id}/subscriptions

Get all subscriptions linked to this API Key.

Path parameters

  • source_id string required

    Please see Sources

Query parameters

  • customer_oid string

    This allows you to return subscriptions for a given customer

  • order string

    Allows you to order subscriptions from newest to oldest desc or oldest to newest asc

    Default "desc"

Responses

200OK
{
  "subscriptions": [
    {
      "oid": "subscription_1",
      "source_id": "source_1",
      "source": "stripe",
      "customer": {
        "oid": "customer_1",
        "source_id": "source_1",
        "source": "stripe",
        "created": 1492605754,
        "email": "customer_1@baremetrics.com",
        "name": "Customer 1",
        "display_image": "https://logo.clearbit.com/baremetrics.com",
        "display_name": "Customer 1",
        "notes": "Here are some notes",
        "ltv": 50000
      },
      "canceled_at": null,
      "started_at": 1492605754,
      "processed": true,
      "active": true,
      "quantity": 1,
      "discount": 0,
      "plan": {
        "oid": "plan_1",
        "source_id": "source_1",
        "source": "stripe",
        "name": "Plan 1",
        "interval": "month",
        "interval_count": 1,
        "trial_duration": null,
        "trial_duration_unit": null,
        "created": 1492605754,
        "active": true,
        "setup_fees": 0,
        "amounts": [
          {
            "currency": "USD",
            "symbol": "$",
            "symbol_right": false,
            "amount": 1000
          }
        ]
      }
    }
  ]
}
400Bad Request
{}